Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
ClpPEDualRowDantzig Class Reference

`#include <ClpPEDualRowDantzig.hpp>`

Inheritance diagram for ClpPEDualRowDantzig:
[legend]
Collaboration diagram for ClpPEDualRowDantzig:
[legend]

## Public Member Functions
| ClpPEDualRowDantzig (double psi=0.5)
| Default Constructor. More...
| ClpPEDualRowDantzig (const ClpPEDualRowDantzig &)
| Copy constructor. More...
ClpPEDualRowDantzig & | operator= (const ClpPEDualRowDantzig &rhs)
| Assignment operator. More...
virtual | ~ClpPEDualRowDantzig ()
| Destructor. More...
virtual ClpDualRowPivot * | clone (bool copyData=true) const
| Clone. More...
Algorithmic methods
virtual int | pivotRow ()
| Returns pivot row, -1 if none. More...
virtual double | updateWeights (CoinIndexedVector *input, CoinIndexedVector *spare, CoinIndexedVector *spare2, CoinIndexedVector *updatedColumn)
| Update the compatible variables and call the base class method to update weights. More...
virtual void | saveWeights (ClpSimplex *model, int mode)
| Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex. More...
Public Member Functions inherited from ClpDualRowDantzig
virtual void | updatePrimalSolution (CoinIndexedVector *input, double theta, double &changeInObjective)
| Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function. More...
| ClpDualRowDantzig ()
| Default Constructor. More...
| ClpDualRowDantzig (const ClpDualRowDantzig &)
| Copy constructor. More...
ClpDualRowDantzig & | operator= (const ClpDualRowDantzig &rhs)
| Assignment operator. More...
virtual | ~ClpDualRowDantzig ()
| Destructor. More...
Public Member Functions inherited from ClpDualRowPivot
virtual void | checkAccuracy ()
| checks accuracy and may re-initialize (may be empty) More...
virtual void | unrollWeights ()
| Gets rid of last update (may be empty) More...
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty) More...
virtual bool | looksOptimal () const
| Returns true if would not find any row. More...
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes. More...
| ClpDualRowPivot ()
| Default Constructor. More...
| ClpDualRowPivot (const ClpDualRowPivot &)
| Copy constructor. More...
ClpDualRowPivot & | operator= (const ClpDualRowPivot &rhs)
| Assignment operator. More...
virtual | ~ClpDualRowPivot ()
| Destructor. More...
ClpSimplex * | model ()
| Returns model. More...
void | setModel (ClpSimplex *newmodel)
| Sets model (normally to NULL) More...
int | type ()
| Returns type (above 63 is extra information) More...

## Private Attributes
ClpPESimplex * | modelPE_
double | psi_
int | iCurrent_
int | iInterval_
bool | updateCompatibles_
int | coDegenCompatibles_
int | coConsecutiveCompatibles_

## Additional Inherited Members
Protected Attributes inherited from ClpDualRowPivot
ClpSimplex * | model_
| Pointer to model. More...
int | type_
| Type of row pivot algorithm. More...

## Detailed Description

Definition at line 25 of file ClpPEDualRowDantzig.hpp.

## Constructor & Destructor Documentation

ClpPEDualRowDantzig::ClpPEDualRowDantzig | ( | double | psi = `0.5` | ) |

Default Constructor.

ClpPEDualRowDantzig::ClpPEDualRowDantzig | ( | const ClpPEDualRowDantzig & |  | ) |

Copy constructor.

virtual ClpPEDualRowDantzig::~ClpPEDualRowDantzig | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

ClpPEDualRowDantzig& ClpPEDualRowDantzig::operator= | ( | const ClpPEDualRowDantzig & | rhs | ) |

Assignment operator.

virtual ClpDualRowPivot* ClpPEDualRowDantzig::clone | ( | bool | copyData = `true` | ) | const
| virtual

Clone.

Reimplemented from ClpDualRowDantzig.

virtual int ClpPEDualRowDantzig::pivotRow | ( |  | ) |
| virtual

Returns pivot row, -1 if none.

Reimplemented from ClpDualRowDantzig.

virtual double ClpPEDualRowDantzig::updateWeights | ( | CoinIndexedVector * | input,
|  | CoinIndexedVector * | spare,
|  | CoinIndexedVector * | spare2,
|  | CoinIndexedVector * | updatedColumn
| ) |  |
| virtual

Update the compatible variables and call the base class method to update weights.

Reimplemented from ClpDualRowDantzig.

virtual void ClpPEDualRowDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode
| ) |  |
| virtual

Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.

Reimplemented from ClpDualRowPivot.

## Member Data Documentation

ClpPESimplex* ClpPEDualRowDantzig::modelPE_
| private

Definition at line 67 of file ClpPEDualRowDantzig.hpp.

double ClpPEDualRowDantzig::psi_
| private

Definition at line 71 of file ClpPEDualRowDantzig.hpp.

int ClpPEDualRowDantzig::iCurrent_
| private

Definition at line 74 of file ClpPEDualRowDantzig.hpp.

int ClpPEDualRowDantzig::iInterval_
| private

Definition at line 75 of file ClpPEDualRowDantzig.hpp.

bool ClpPEDualRowDantzig::updateCompatibles_
| private

Definition at line 78 of file ClpPEDualRowDantzig.hpp.

int ClpPEDualRowDantzig::coDegenCompatibles_
| private

Definition at line 79 of file ClpPEDualRowDantzig.hpp.

int ClpPEDualRowDantzig::coConsecutiveCompatibles_
| private

Definition at line 79 of file ClpPEDualRowDantzig.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/ClpPEDualRowDantzig.hpp